<template>
  <nav class="MainMenu">
    <ul v-if="!isLoggedIn" class="MainMenu-items">
      <li class="MainMenu-item">
        <nuxt-link to="/" class="MainMenu-link">
          {{ $t("menu.index") }}
        </nuxt-link>
      </li>
      <li class="MainMenu-item">
        <nuxt-link to="/game" class="MainMenu-link">
          {{ $t("menu.play") }}
        </nuxt-link>
      </li>
      <li class="MainMenu-item">
        <nuxt-link to="/random" class="MainMenu-link">
          {{ $t("menu.visit") }}
        </nuxt-link>
      </li>
      <li class="MainMenu-item">
        <nuxt-link to="/help" class="MainMenu-link">
          {{ $t("menu.help") }}
        </nuxt-link>
      </li>
    </ul>

    <ul v-if="isLoggedIn" class="MainMenu-items">
      <li class="MainMenu-item">
        <nuxt-link to="/game" class="MainMenu-link">
          #hotel#
        </nuxt-link>
      </li>
      <li class="MainMenu-item">
        <nuxt-link to="/office" class="MainMenu-link">
          {{ $t("menu.office") }}
        </nuxt-link>
      </li>
      <li class="MainMenu-item">
        <nuxt-link to="/lab" class="MainMenu-link">
          {{ $t("menu.lab") }}
        </nuxt-link>
      </li>
      <li class="MainMenu-item">
        <nuxt-link to="/shop" class="MainMenu-link">
          {{ $t("menu.shop") }}
        </nuxt-link>
      </li>
      <li class="MainMenu-item">
        <nuxt-link to="/friends" class="MainMenu-link">
          {{ $t("menu.friends") }}
        </nuxt-link>
      </li>
      <li class="MainMenu-item">
        <nuxt-link to="/help" class="MainMenu-link">
          {{ $t("menu.help") }}
        </nuxt-link>
      </li>
    </ul>
  </nav>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";

import { authStore } from "~/store";

@Component
export default class MainMenu extends Vue {
  get isLoggedIn() {
    return authStore.isLoggedIn;
  }
}
</script>

<style lang="scss" scoped>
@import "~/assets/styles/abstracts/variables";

.MainMenu {
  &-items {
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
  }

  &-item {
    margin-right: 15px;
    white-space: nowrap;

    &:last-child {
      margin-right: 0;
    }
  }

  &-link {
    display: block;
    padding: 2px 10px 3px;
    white-space: nowrap;
    color: $c-primary-6;
    font-weight: bold;
    font-variant: small-caps;
    text-shadow: 0 0 0 $c-black;
    text-decoration: none;
    border-bottom: 2px solid transparent;

    &:hover {
      color: $c-primary-5;
      background-color: #E3B599;
    }

    &.nuxt-link-exact-active {
      background-color: $c-primary-4;
      color: $c-white;
      border-bottom-color: $c-primary-2;
      text-shadow: 0px 0px 2px $c-black;
    }
  }
}
</style>
